com.brightcove.player.analytics

## Class AnalyticsOutOfSpaceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.brightcove.player.analytics.AnalyticsOutOfSpaceException

- All Implemented Interfaces:
    java.io.Serializable

      public class AnalyticsOutOfSpaceException
      extends java.io.IOException

  An `IOException` that describes the reason why an `AnalyticsEvent` cannot be saved.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `backlogLimit` The current limit for backlog size, expressed as total number of bytes.
    `long` | `backlogSize` The current backlog size, expressed as total number of bytes.
    `java.util.Map<java.lang.String,java.lang.String>` | `parameters` An immutable map of HTTP query parameter names and values to be sent to the server.
    `int` | `priority` The priority of the event.
    `java.lang.String` | `type` The type of the analytics event.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyticsOutOfSpaceException(com.brightcove.player.analytics.AnalyticsEvent event, long backlogSize, long backlogLimit, java.lang.Throwable cause)` Constructs an instance of `AnalyticsOutOfSpaceException`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### priority

          public final int priority

      The priority of the event.

    - #### type

          @NonNull
          public final java.lang.String type

      The type of the analytics event.

    - #### parameters

          @NonNull
          public final java.util.Map<java.lang.String,java.lang.String> parameters

      An immutable map of HTTP query parameter names and values to be sent to the server.

    - #### backlogSize

          public final long backlogSize

      The current backlog size, expressed as total number of bytes.

    - #### backlogLimit

          public final long backlogLimit

      The current limit for backlog size, expressed as total number of bytes.

  - ### Constructor Detail

    - #### AnalyticsOutOfSpaceException

          public AnalyticsOutOfSpaceException(@NonNull
                                              com.brightcove.player.analytics.AnalyticsEvent event,
                                              long backlogSize,
                                              long backlogLimit,
                                              @Nullable
                                              java.lang.Throwable cause)

      Constructs an instance of `AnalyticsOutOfSpaceException`
      Parameters:
        `event` - reference to the event that cannot be saved.
        `backlogSize` - the current backlog size, expressed as total number of bytes.
        `backlogLimit` - the current limit for backlog size, expressed as total number of bytes.
        `cause` - reference the error that caused the event that required to be saved, if any.